package entity

type PjisuvParam struct {
	// /cicv_location
	AbsSpeed                       float64
	VelocityXOfCicvLocation        float64
	VelocityYOfCicvLocation        float64
	VelocityZOfCicvLocation        float64
	YawOfCicvLocation              float64
	AngularVelocityZOfCicvLocation float64
	PositionXOfCicvLocation        float64
	PositionYOfCicvLocation        float64
	LatitudeOfCicvLocation         float64
	LongitudeOfCicvLocation        float64
	EnterJunctionFlag              bool

	// /tpperception
	ObjDicOfTpperception map[uint32][]float32

	// /pji_control_pub
	NumCountPjiControlCommandOfPjControlPub int
	EgoSteeringCmdOfPjControlPub            []float64
	EgoThrottleCmdOfPjControlPub            []float64
	// /data_read
	NumCountDataReadOfDataRead   int
	EgoSteeringRealOfDataRead    []float64
	EgoThrottleRealOfDataRead    []float64
	StrgAngleRealValueOfDataRead float64
	// /pj_vehicle_fdb_pub
	AutomodeOfPjVehicleFdbPub int16
	///cicv_amr_trajectory
	DecisionType int8
}

type KinglongParam struct {
	// /cicv_location
	VelocityXOfCicvLocation        float64
	VelocityYOfCicvLocation        float64
	YawOfCicvLocation              float64
	AngularVelocityZOfCicvLocation float64

	// /tpperception
	ObjDicOfTpperception map[uint32][]float32

	// /pji_control_pub
	NumCountJinlongControlCommandOfPjControlPub int
	EgoSteeringCmdOfJinlongControlPub           []float64
	EgoThrottleCmdOfJinlongControlPub           []float64
	EgoBrakeCmdOfJinlongControlPub              []float64
	// /data_read
	NumCountDataReadOfDataRead int
	EgoSteeringRealOfDataRead  []float64
	EgoThrottleRealOfDataRead  []float64
	EgoBrakeRealOfDataRead     []float64
}
